Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# JointDataSequence Class Reference

The JointDataSequence is a sequence of joint data sets with timing and interpolation information. More...

`#include <JointDataSequence.h>`

Inheritance diagram for JointDataSequence:

[legend]
Collaboration diagram for JointDataSequence:

[legend]
List of all members.

## Public Member Functions
| JointDataSequence ()
| Constructor.
JointDataSequence & | operator= (const JointDataSequence &other)
| Assignment operator.
void | addEntry (const JointData &jointData, bool interp, int rep)
| adds an entry at end of the sequence
## Public Attributes
int | numOfEntries
| Number of Entries.
bool | loop
| If true sequence is executed repeatedly.
JointData | entry [jointDataSequenceMaxNumOfEntries]
| The joint data entries.
int | repeats [jointDataSequenceMaxNumOfEntries]
| Number of times an entry gets repeated.
bool | interpolate [jointDataSequenceMaxNumOfEntries]
| If true linear interpolation will be done to get to this entry from last.

## Detailed Description

The JointDataSequence is a sequence of joint data sets with timing and interpolation information.

This is sent from PC to robot and executed by DebugMotionControl.

Definition at line 27 of file JointDataSequence.h.

## Constructor & Destructor Documentation

JointDataSequence::JointDataSequence | ( |  | ) |

| Constructor. Definition at line 11 of file JointDataSequence.cpp. References loop, and numOfEntries.

## Member Function Documentation

JointDataSequence & JointDataSequence::operator= | ( | const JointDataSequence & | other | ) |

| Assignment operator. Reimplemented in JointDataSequencer. Definition at line 17 of file JointDataSequence.cpp. References entry, interpolate, loop, numOfEntries, and repeats.

void JointDataSequence::addEntry | ( | const JointData & | jointData,
|  | bool | interp,
|  | int | rep
| ) |

| adds an entry at end of the sequence Definition at line 30 of file JointDataSequence.cpp. References interpolate, numOfEntries, and repeats.

## Member Data Documentation

int JointDataSequence::numOfEntries

| Number of Entries. Definition at line 37 of file JointDataSequence.h. Referenced by addEntry(), GT2005GetupEngine::GT2005GetupEngine(), JointDataSequence(), operator<<(), JointDataSequencer::operator=(), operator=(), and operator>>().

bool JointDataSequence::loop

| If true sequence is executed repeatedly. Definition at line 40 of file JointDataSequence.h. Referenced by GT2005GetupEngine::GT2005GetupEngine(), JointDataSequence(), operator<<(), JointDataSequencer::operator=(), operator=(), and operator>>().

JointData JointDataSequence::entry[jointDataSequenceMaxNumOfEntries]

| The joint data entries. Definition at line 47 of file JointDataSequence.h. Referenced by GT2005GetupEngine::GT2005GetupEngine(), operator<<(), JointDataSequencer::operator=(), operator=(), and operator>>().

int JointDataSequence::repeats[jointDataSequenceMaxNumOfEntries]

| Number of times an entry gets repeated. Definition at line 50 of file JointDataSequence.h. Referenced by addEntry(), GT2005GetupEngine::GT2005GetupEngine(), operator<<(), JointDataSequencer::operator=(), operator=(), and operator>>().

bool JointDataSequence::interpolate[jointDataSequenceMaxNumOfEntries]

| If true linear interpolation will be done to get to this entry from last. Definition at line 53 of file JointDataSequence.h. Referenced by addEntry(), GT2005GetupEngine::GT2005GetupEngine(), operator<<(), JointDataSequencer::operator=(), operator=(), and operator>>().

The documentation for this class was generated from the following files:

- Representations/Motion/JointDataSequence.h
- Representations/Motion/JointDataSequence.cpp